Update a study
curl --request PATCH \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studyPlan": {
"externalName": "<string>",
"description": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"incentive": {
"incentiveBudgetId": "<string>",
"amount": 123,
"customIncentiveId": "<string>",
"defaultCustomIncentiveValue": "<string>"
},
"includeScreener": true,
"brandingConfigId": "<string>",
"language": "en",
"name": "<string>",
"externalDescription": "<string>"
}
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}"
payload = { "studyPlan": {
"externalName": "<string>",
"description": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"incentive": {
"incentiveBudgetId": "<string>",
"amount": 123,
"customIncentiveId": "<string>",
"defaultCustomIncentiveValue": "<string>"
},
"includeScreener": True,
"brandingConfigId": "<string>",
"language": "en",
"name": "<string>",
"externalDescription": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
studyPlan: {
externalName: '<string>',
description: '<string>',
startDate: '2025-01-01',
endDate: '2025-01-02',
researchPlanUrl: '<string>',
participationLimit: 10,
consentFormId: '<string>',
incentive: {
incentiveBudgetId: '<string>',
amount: 123,
customIncentiveId: '<string>',
defaultCustomIncentiveValue: '<string>'
},
includeScreener: true,
brandingConfigId: '<string>',
language: 'en',
name: '<string>',
externalDescription: '<string>'
}
})
};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"studyId": "<string>",
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"externalDescription": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"incentive": {
"incentiveBudgetId": "<string>",
"amount": 123,
"customIncentiveId": "<string>",
"defaultCustomIncentiveValue": "<string>"
},
"includeScreener": true,
"brandingConfigId": "<string>",
"language": "en",
"scheduler": {
"interviewDurationMinutes": 60
}
},
"createdAt": "2023-11-07T05:31:56Z",
"createdFromTemplateId": "<string>",
"owners": [
{
"userId": "<string>",
"emailAccountId": "<string>",
"fullname": "<string>",
"email": "<string>"
}
],
"screener": {
"id": "<string>",
"workspaceId": "<string>",
"studyId": "<string>",
"showSchedulerToQualified": true,
"qualifyByDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"questions": [
{
"category": "simple",
"name": "<string>",
"isRequired": true,
"id": "<string>",
"workspaceId": "<string>",
"description": "<string>",
"mappedToPropertyId": "<string>",
"questionTemplateId": "<string>"
}
],
"externalSurveyId": "<string>",
"surveyMonkeyCollectorId": "<string>",
"externalSurveySetupErrorCode": "<string>",
"externalSurveySetupUpdatedAt": "2023-11-07T05:31:56Z",
"customLinkUrl": "<string>",
"customLinkTokensJson": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Studies
Update a study
Update a study in your workspace. Only the fields provided will be updated. Certain features not supported and require updating in the UI
PATCH
/
studies
/
{studyId}
Update a study
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
The updated study
Study object including its screener
The type of study
Available options:
SURVEY, INTERVIEWS, UNMODERATED_TEST, GROUP_INTERVIEW The recruitment strategy for the study
Available options:
IN_RALLY, EXTERNAL The status of the study
Available options:
DRAFT, ACTIVE, PAUSED, CLOSED Study plan object
Show child attributes
Show child attributes
The ID of the template this study was created from, or null if not created from a template
Show child attributes
Show child attributes
The study's screener with all of its questions. Null when the study has no screener or the caller cannot read screeners. Not included in list responses.
Show child attributes
Show child attributes
⌘I